org.kie.internal.builder.conf

## Enum TrimCellsInDTableOption

- java.lang.Object
- - java.lang.Enum<TrimCellsInDTableOption>
  - - org.kie.internal.builder.conf.TrimCellsInDTableOption

- All Implemented Interfaces:
    Serializable, Comparable<TrimCellsInDTableOption>, org.kie.api.conf.KieBaseOption, org.kie.api.conf.Option, org.kie.api.conf.SingleValueKieBaseOption, KnowledgeBuilderOption, SingleValueKnowledgeBuilderOption

      public enum TrimCellsInDTableOption
      extends Enum<TrimCellsInDTableOption>
      implements SingleValueKnowledgeBuilderOption, org.kie.api.conf.SingleValueKieBaseOption

  An option to disable trimming of spaces for values in decision tables drools.trimCellsInDTable = <true|false> DEFAULT = true

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISABLED`
    `ENABLED`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `PROPERTY_NAME` The property name for the enabling/disabling trim of cells values

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPropertyName()`
    `boolean` | `isTrimCellsInDTable()`
    `static TrimCellsInDTableOption` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TrimCellsInDTableOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ENABLED

          public static final TrimCellsInDTableOption ENABLED

    - #### DISABLED

          public static final TrimCellsInDTableOption DISABLED

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final String PROPERTY_NAME

      The property name for the enabling/disabling trim of cells values
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static TrimCellsInDTableOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrimCellsInDTableOption c : TrimCellsInDTableOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrimCellsInDTableOption valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getPropertyName

          public String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### isTrimCellsInDTable

          public boolean isTrimCellsInDTable()

Copyright © 2001–2019 JBoss by Red Hat. All rights reserved.